
Redmine - Patch #21776

Add status, assigned_to and done_ratio classes to issue subtasks

2016-01-21 00:58 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.3.0   

Description

This patch is in addition to patch #21474 and adds:

1. class status for status column

2. class assigned_to for assignee column

3. class done_ratio for  done column

The purpose is the same, to help theme developers and have the classes consistent.

Related issues:

Has duplicate Redmine - Feature #5193: Show percentage values of subtasks in ... Closed 2010-03-25

Associated revisions

Revision 15251 - 2016-03-15 23:16 - Jean-Philippe Lang

Add status, assigned_to and done_ratio classes to issue subtasks (#21776).

Patch by Marius Balteanu.

History

#1 - 2016-01-21 01:00 - Marius BĂLTEANU

- File add_missing_classes.patch added

#2 - 2016-02-13 05:32 - Go MAEDA

- Target version set to 3.3.0

Updated the patch for the compatibility with trunk r15148.

"Related issues" already have these three classes (see the following). "Subtasks" should also have these classes for consistency.

source:trunk/app/views/issues/_relations.html.erb@15068#L19:

  <td class="status"><%= other_issue.status.name %></td>

  <td class="start_date"><%= format_date(other_issue.start_date) %></td>

  <td class="due_date"><%= format_date(other_issue.due_date) %></td>

 Setting target version to 3.3.0.

#3 - 2016-02-13 06:40 - Go MAEDA

- File add_missing_classes_v2.patch added

#4 - 2016-03-15 23:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#5 - 2016-12-21 08:55 - Go MAEDA

- Has duplicate Feature #5193: Show percentage values of subtasks in parent task overview added
https://www.redmine.org/issues/21474
https://www.redmine.org/projects/redmine/repository/svn/revisions/15148
https://www.redmine.org/projects/redmine/repository/svn/revisions/15068/entry/trunk/app/views/issues/_relations.html.erb#L19


Files

add_missing_classes.patch 1.28 KB 2016-01-21 Marius BĂLTEANU

add_missing_classes_v2.patch 1.1 KB 2016-02-13 Go MAEDA
